Batch insert metrics
curl --request POST \
--url https://acusight.io/api/ml/jobs/{job_id}/metrics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metrics": [
{
"key": "<string>",
"step": 123,
"timestamp": 123,
"value": 123
}
]
}
'import requests
url = "https://acusight.io/api/ml/jobs/{job_id}/metrics"
payload = { "metrics": [
{
"key": "<string>",
"step": 123,
"timestamp": 123,
"value": 123
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({metrics: [{key: '<string>', step: 123, timestamp: 123, value: 123}]})
};
fetch('https://acusight.io/api/ml/jobs/{job_id}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}Models & training
Batch insert metrics
Inserts multiple metric data points for a training job.
POST
/
ml
/
jobs
/
{job_id}
/
metrics
Batch insert metrics
Authorizations
JWT access token. Paste the token only; the Bearer prefix is added automatically.
Path Parameters
Job ID
Body
application/json
Metrics payload
Show child attributes
Show child attributes
Was this page helpful?
⌘I